Package de.willuhn.jameica.hbci.io

# Class VelocityExporter.VelocityFormat

java.lang.Object
de.willuhn.jameica.hbci.io.VelocityExporter.VelocityFormat

All Implemented Interfaces:
  `IOFormat`

Enclosing class:
  `VelocityExporter`

public class VelocityExporter.VelocityFormat extends Object implements IOFormat
Hilfsklase, die das IOFormat implementiert.

## Constructor Summary

Constructors
Constructor
Description
`VelocityFormat(String extension, String variant, File f)`
ct.

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getFileExtensions()`
Liefert die Datei-Endungen des Formats.
`String`
`getName()`
Liefert einen sprechenden Namen fuer das Datei-Format.
`File`
`getTemplate()`
Liefert das Template-File.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VelocityFormat

public VelocityFormat(String extension, String variant, File f)
ct.

Parameters:
  `extension` - die Datei-Endung.
  `variant` - optionaler Prefix fuer eine Variation.
  `f` - das Template.

## Method Details

### getName

public String getName()
Description copied from interface: `IOFormat`
Liefert einen sprechenden Namen fuer das Datei-Format. Zum Beispiel "CSV-Datei"

Specified by:
  `getName` in interface `IOFormat`
Returns:
  Sprechender Name des Datei-Formats.

### getFileExtensions

public String[] getFileExtensions()
Description copied from interface: `IOFormat`
Liefert die Datei-Endungen des Formats. Zum Beispiel "*.csv" oder "*.txt".

Specified by:
  `getFileExtensions` in interface `IOFormat`
Returns:
  Datei-Endung.

### getTemplate

public File getTemplate()
Liefert das Template-File.

Returns:
  Template-File.